
version 14
clear

*analyses of Lohaus/Bussmann (2020) Journal of International relations and Development


use Datenaufbereitung\LohausBussmann2020maindata.dta, replace

*Table 1

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postcivwar if post1==1, robust cluster(state)

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc conflictduration if post1==1, robust cluster(state)
margins, at(conflictduration=(1 (1) 33)) plot /*Figure 2*/

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc conflictduration trend if post1==1, robust cluster(state)

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc conflictduration trend if post3==1, robust cluster(state)

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc conflictduration trend if post5==1, robust cluster(state)


*additional tests
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postcivwar trend if post3==1, robust cluster(state)
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postcivwar trend if post5==1, robust cluster(state)


*Tabel A2 in online appendix 
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postgovtconflict if post1==1, robust cluster(state)
estimate store govt

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postterrconflict if post1==1, robust cluster(state)
estimate store terr

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postethnicconflict if post1==1, robust cluster(state)
estimate store ethnic

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postinternationalizedconflict if post1==1, robust cluster(state)
estimate store international

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postrebelgroups if post1==1, robust cluster(state)
estimate store rebelgroups

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc govtvictory if post1==1, robust cluster(state)
estimate store govtvictory

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc rebelvictory if post1==1, robust cluster(state)
estimate store rebelvictory

* Figure 3 
# del;
coefplot (govt terr ethnic international rebelgroups govtvictory rebelvictory, mcolor(red)  ciopts(lcolor(red))), 
drop (_cons pre_v2x_corr Totalnaturalresourcesrents lGDPpc) 
xline(0, lcolor(black) lwidth(thin) lpattern(dash)) 
coeflabels(pre_v2x_corr="pre-conflict corruption" Totalnaturalresourcesrents="natural resource rents" 
lGDPpc="GDP per capita" postgovtconflict="government conflict" postterrconflict="territorial conflict"
postethnicconflict="ethnic conflict" postinternationalizedconflict="internationalized conflict" postrebelgroups="number of rebel groups" govtvictory="government victory" rebelvictory="rebel victory");
# del cr


*Tests of robustness, reported in text

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc lpop postcivwar if post1==1, robust cluster(state)
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc GDPgrowthannualNYGDPMK postcivwar if post1==1, robust cluster(state)
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc TradeofGDPNETRDGNFSZS postcivwar if post1==1, robust cluster(state)
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc TaxrevenueofGDPGCTAXT postcivwar if post1==1, robust cluster(state)

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc lpop conflictduration if post1==1, robust cluster(state)
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc GDPgrowthannualNYGDPMK conflictduration if post1==1, robust cluster(state)
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc TradeofGDPNETRDGNFSZS conflictduration if post1==1, robust cluster(state)
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc TaxrevenueofGDPGCTAXT conflictduration if post1==1, robust cluster(state)

reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postcivwar if post1==1 & OECD==0, robust cluster(state)

reg post_prs_corruption pre_prs_corruption Totalnaturalresourcesrents lGDPpc postcivwar if post1==1, robust cluster(state)
reg post_prs_corruption pre_prs_corruption Totalnaturalresourcesrents lGDPpc conflictduration if post1==1, robust cluster(state)


* Results reported in online appendix
*Table A1 
reg post_v2x_corr pre_v2x_corr Totalnaturalresourcesrents lGDPpc postcivwar if post1==1, robust cluster(state)
sum state year conflictduration pre_v2x_corr post_v2x_corr if conflictduration==1 & e(sample)
sum state year conflictduration pre_v2x_corr post_v2x_corr if conflictduration>1 & e(sample)
sum state year conflictduration pre_v2x_corr post_v2x_corr if conflictduration>5 & e(sample)
sum state year conflictduration pre_v2x_corr post_v2x_corr if conflictduration>10 & e(sample)
sum state year conflictduration pre_v2x_corr post_v2x_corr if conflictduration>20 & e(sample)

clear

*Results of panel analysis reported in footnote 5

use Datenaufbereitung\LohausBussmann2020paneldata.dta, replace

xtreg v2x_corr L.v2x_corr lGDPpc Totalnaturalresourcesrents conflictduration, fe
